> ## Documentation Index
> Fetch the complete documentation index at: https://docs.halth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update client



## OpenAPI

````yaml https://api.halth.com/v1/api-yaml patch /v1/organisations/{organisationId}/clients/{clientId}
openapi: 3.0.0
info:
  title: HaltH API
  description: The API for the HaltH platform business services
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.halth.com
    description: Production
  - url: https://api.stg.halth.com
    description: Staging
security: []
tags: []
paths:
  /v1/organisations/{organisationId}/clients/{clientId}:
    patch:
      tags:
        - Client
      summary: Update client
      operationId: ClientController_update
      parameters:
        - name: organisationId
          required: true
          in: path
          schema:
            type: string
        - name: clientId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ClientUpdateParams'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Client'
components:
  schemas:
    ClientUpdateParams:
      type: object
      properties:
        mobileNumber:
          type: string
          format: mobile-phone
          description: The mobile number of the client
          example: '+27712345678'
    Client:
      type: object
      properties:
        memberId:
          type: string
          description: The ID of the member if the client has joined HaltH
          example: memb_38JiySr0Z0ePjHpqvosimyLQuUC
        id:
          type: string
        firstName:
          type: string
        lastName:
          type: string
        dateOfBirth:
          type: string
        mobileNumber:
          type: string
        email:
          type: string
        source:
          enum:
            - pms
            - halth
            - unknown
          type: string
        pmsPatientId:
          type: string
        pmsCreatedAt:
          format: date-time
          type: string
        deleted:
          type: boolean
        createdAt:
          format: date-time
          type: string
        profileImageUrl:
          type: string
      required:
        - id
        - deleted
        - createdAt

````